﻿/*************************************\
 *   Namensregeln und Kommentierung  *
 *                                   *
 * Kapitel: Tipps und Tricks         *
 * Zuordnung: C#-Buch V2.0 15.5      *
 *                                   *
 *  Copyright 2015 by Benjamin Jung  *
\*************************************/
using System;

namespace CSV20.Namensregeln_Kommentierung
{
    /// <summary>
    /// Klasse des Hauptprogramms, welches die Main()-Funktion enthält.
    /// </summary>
    class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt der Konsolen-Anwendung.
        /// </summary>
        /// <param name="args">Die Parameter, welche dem Programm beim Start übergeben wurden.</param>
        static void Main(string[] args)
        {
            Console.WriteLine(Addieren(6195, 153));

            Console.ReadKey();
        }

        /// <summary>
        /// Addiert 2 ganzzahlige 32bit Werte (vorzeichenbehaftet) miteinander.
        /// </summary>
        /// <param name="iZahl1">Die 1. Zahl welche für die Rechnung benötigt wird.</param>
        /// <param name="iZahl2">Die 2. Zahl welche für die Rechnung benötigt wird.</param>
        /// <returns>Das Ergebnis der Addition beider übergebener Zahlen.</returns>
        static int Addieren(int iZahl1, int iZahl2)
        {
            return iZahl1 + iZahl2;
        }
    }
}